Bug 177806 - [Patch] fix broken port audio/hydrogen
[Patch] fix broken port audio/hydrogen
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Cy Schubert
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-12 13:50 UTC by FreeBSD
Modified: 2013-05-04 20:20 UTC (History)
0 users

See Also:


Attachments
file.diff (5.34 KB, patch)
2013-04-12 13:50 UTC, FreeBSD
no flags Details | Diff
patch.txt (5.34 KB, text/plain; charset=UTF-8)
2013-04-18 07:26 UTC, FreeBSD
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description FreeBSD 2013-04-12 13:50:00 UTC
When I went to try out audio/hydrogen today I found that it has been marked as broken for some time and due to be removed so I came up with a fix.

The attached patch is how I got it to compile and install, also I updated it to v0.9.5.1

So far I have compiled using clang on 9.1 but will start testing other setups in the next few days.

I am willing to adopt this port if needed.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-04-12 13:50:08 UTC
Maintainer of audio/hydrogen,

Please note that PR ports/177806 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177806

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-04-12 13:50:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Cy Schubert freebsd_committer 2013-04-14 05:39:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cy

I'll take this on.
Comment 4 Cy.Schubert 2013-04-17 21:01:24 UTC
Hi Shane,

Can you please resend/repost the patch. Thanks.

The text leading up to this was:
--------------------------
|diff -Nru hydrogen.orig/Makefile hydrogen/Makefile
|--- hydrogen.orig/Makefile	2013-04-12 21:56:00.064122711 +0930
|+++ hydrogen/Makefile	2013-04-12 17:48:48.720962582 +0930
--------------------------
Patching file hydrogen/Makefile using Plan A...
patch: **** malformed patch at line 13: @@ -16,10 +16,6 @@


-- 
Cheers,
Cy Schubert <Cy.Schubert@komquats.com>
FreeBSD UNIX:  <cy@FreeBSD.org>   Web:  http://www.FreeBSD.org
Comment 5 FreeBSD 2013-04-18 07:26:10 UTC
Sorry - here
Comment 6 Cy Schubert freebsd_committer 2013-05-03 07:41:08 UTC
State Changed
From-To: feedback->closed
Comment 7 Cy Schubert freebsd_committer 2013-05-03 07:50:34 UTC
State Changed
From-To: closed->feedback

Sent email to maintainer for approval.
Comment 8 Cy Schubert freebsd_committer 2013-05-04 20:12:13 UTC
State Changed
From-To: feedback->closed

Committed. Thanks.
Comment 9 dfilter freebsd_committer 2013-05-04 20:16:47 UTC
Author: cy
Date: Sat May  4 19:16:36 2013
New Revision: 317333
URL: http://svnweb.freebsd.org/changeset/ports/317333

Log:
  Update 0.9.5 --> 0.9.5.1.
  
  Unbreak build.
  
  Assign Shane Ambler <FreeBSD@Shaneware.biz> as new maintainer.
  
  PR:		177806
  Submitted by:	Shane Ambler <FreeBSD@Shaneware.biz>
  Approved by:	Maintainer (devel@stasyan.com)

Modified:
  head/audio/hydrogen/Makefile
  head/audio/hydrogen/distinfo
  head/audio/hydrogen/files/patch-Sconstruct
  head/audio/hydrogen/pkg-plist

Modified: head/audio/hydrogen/Makefile
==============================================================================
--- head/audio/hydrogen/Makefile	Sat May  4 18:27:34 2013	(r317332)
+++ head/audio/hydrogen/Makefile	Sat May  4 19:16:36 2013	(r317333)
@@ -2,11 +2,11 @@
 # $FreeBSD$
 
 PORTNAME=	hydrogen
-PORTVERSION=	0.9.5
+PORTVERSION=	0.9.5.1
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/Hydrogen/${MAJORVERSION}%20Sources
 
-MAINTAINER=	devel@stasyan.com
+MAINTAINER=	FreeBSD@ShaneWare.Biz
 COMMENT=	An advanced drum machine
 
 LICENSE=	GPLv2
@@ -16,10 +16,6 @@ LIB_DEPENDS+=	sndfile:${PORTSDIR}/audio/
 		tar:${PORTSDIR}/devel/libtar \
 		lrdf:${PORTSDIR}/textproc/liblrdf
 
-DEPRECATED=	Broken for more than 6 month
-EXPIRATION_DATE=	2013-03-05
-BROKEN=		does not install
-
 MAJORVERSION=	0.9.5
 USE_QT4=	corelib gui linguist_build moc_build network qt3support rcc_build sql uic_build xml
 USE_SCONS=	yes
@@ -30,7 +26,7 @@ OPTIONS_DEFAULT=	JACK
 LIBARCHIVE_DESC=	LibArchive support
 
 post-patch:
-		${REINPLACE_CMD} -e "s|includes = \[\]|includes = \['-I${QT_INCDIR}/QtCore', '-I${QT_INCDIR}/QtXml', '-I${QT_INCDIR}/QtGui',  '-I${QT_INCDIR}', '-I${QT_INCDIR}/Qt', '-I${LOCALBASE}/include'\]|g; s|ldflags = \[\]|ldflags = \['-L${QT_LIBDIR}','-L${LOCALBASE}/lib'\,'-lQtCore', '-lQtGui', '-lQtXml', '-lQtNetwork', '${PTHREAD_LIBS}']|g" ${WRKSRC}/Sconstruct
+	${REINPLACE_CMD} -e "s|includes = \[\]|includes = \['-I${QT_INCDIR}/QtCore', '-I${QT_INCDIR}/QtXml', '-I${QT_INCDIR}/QtGui',  '-I${QT_INCDIR}', '-I${QT_INCDIR}/Qt', '-I${LOCALBASE}/include', '-I${LOCALBASE}/include/raptor2'\]|g; s|ldflags = \[\]|ldflags = \['-L${QT_LIBDIR}','-L${LOCALBASE}/lib'\,'-lQtCore', '-lQtGui', '-lQtXml', '-lQtNetwork', '${PTHREAD_LIBS}']|g" ${WRKSRC}/Sconstruct
 
 .include <bsd.port.options.mk>
 

Modified: head/audio/hydrogen/distinfo
==============================================================================
--- head/audio/hydrogen/distinfo	Sat May  4 18:27:34 2013	(r317332)
+++ head/audio/hydrogen/distinfo	Sat May  4 19:16:36 2013	(r317333)
@@ -1,2 +1,2 @@
-SHA256 (hydrogen-0.9.5.tar.gz) = 963c73ef911ec9e7589e502d17df3b794dd027d7e99a36b5115a0bb51389d9c3
-SIZE (hydrogen-0.9.5.tar.gz) = 5239702
+SHA256 (hydrogen-0.9.5.1.tar.gz) = ebe105fec9ce8e2129f9e1bb5bfe675f1c7143a80babda40620cb3ef9eb97ebb
+SIZE (hydrogen-0.9.5.1.tar.gz) = 5515314

Modified: head/audio/hydrogen/files/patch-Sconstruct
==============================================================================
--- head/audio/hydrogen/files/patch-Sconstruct	Sat May  4 18:27:34 2013	(r317332)
+++ head/audio/hydrogen/files/patch-Sconstruct	Sat May  4 19:16:36 2013	(r317333)
@@ -1,26 +1,49 @@
---- Sconstruct.orig	2011-03-15 18:22:35.000000000 +0600
-+++ Sconstruct	2011-03-22 16:06:25.000000000 +0600
+--- Sconstruct.orig	2012-02-20 08:24:05.000000000 +1030
++++ Sconstruct	2013-04-12 16:49:47.220965697 +0930
 @@ -47,7 +47,7 @@
  
  	env = Environment( options = opts )
  
--	if sys.platform == "linux2" or sys.platform == "darwin":
-+	if sys.platform == "linux2" or sys.platform == "darwin" or sys.platform > "freebsd":
+-	if sys.platform == "linux2" or sys.platform == "linux3" or sys.platform == "darwin":
++	if sys.platform == "linux2" or sys.platform == "linux3" or sys.platform == "darwin" or sys.platform > "freebsd":
  		if str(env['debug']) == "1":
  			cppflags += ['-Wall',  '-g2', '-ggdb', '-O0'] 
  			for flag in env["optflags"].split(" "):
-@@ -91,11 +91,12 @@
+@@ -91,11 +91,13 @@
  		includes.append( '/opt/local/include' )
  		includes.append( '/usr/local/include/jack' )
  
--	elif sys.platform == 'linux2':
+-	elif sys.platform == 'linux2' or sys.platform == 'linux3':
 +	elif str(env['alsa']) == "1" and sys.platform > 'freebsd' :
  		ldflags.append('-lpthread')
  		ldflags.append('-lasound')
  	#	ldflags.append('-lrubberband')
--
+
 +	elif sys.platform > 'freebsd' :
 +		print "Alsa disabled; nothing to do"
  	elif sys.platform == "win32":
  		includes.append( '3rdparty\libsndfile-1_0_17' )
  		includes.append( 'build\pthreads\include' )
+@@ -299,7 +301,7 @@
+ 
+         for N in glob.glob('./data/i18n/hydrogen.*'):
+             env.Alias(target="install", source=env.Install(dir= env['DESTDIR'] + env['prefix'] + '/share/hydrogen/data/i18n', source=N))
+-	env.Alias(target="install", source=env.Install(dir= env['DESTDIR'] + env['prefix'] + '/share/hydrogen/data', source="./data/img"))
++	env.Alias(target="install", source=env.Install(dir= env['DESTDIR'] + env['prefix'] + '/share/hydrogen', source="./data"))
+ 
+ 	#add every img in ./data/img to the install list. 
+ 	os.path.walk("./data/img/",install_images,env) 
+@@ -450,9 +452,9 @@
+    Exit(1)
+ 
+ #lrdf: categorizing of ladspa effects
+-if str(env['lrdf']) == "1" and not conf.CheckCHeader('lrdf.h'):
+-    print 'lrdf must be installed!'
+-    Exit(1)
++#if str(env['lrdf']) == "1" and not conf.CheckCHeader('lrdf.h'):
++#    print 'lrdf must be installed!'
++#    Exit(1)
+ 
+ 
+ print ""
+

Modified: head/audio/hydrogen/pkg-plist
==============================================================================
--- head/audio/hydrogen/pkg-plist	Sat May  4 18:27:34 2013	(r317332)
+++ head/audio/hydrogen/pkg-plist	Sat May  4 19:16:36 2013	(r317333)
@@ -211,6 +211,9 @@ share/applications/hydrogen.desktop
 %%DATADIR%%/data/doc/tutorial.docbook
 %%DATADIR%%/data/doc/tutorial.pot
 %%DATADIR%%/data/doc/tutorial_en.html
+%%DATADIR%%/data/doc/tutorial_es.docbook
+%%DATADIR%%/data/doc/tutorial_es.html
+%%DATADIR%%/data/doc/tutorial_es.po
 %%DATADIR%%/data/doc/tutorial_fr.html
 %%DATADIR%%/data/doc/tutorial_fr.po
 %%DATADIR%%/data/doc/tutorial_it.html
@@ -258,6 +261,8 @@ share/applications/hydrogen.desktop
 %%DATADIR%%/data/i18n/hydrogen.cs.ts
 %%DATADIR%%/data/i18n/hydrogen.de.qm
 %%DATADIR%%/data/i18n/hydrogen.de.ts
+%%DATADIR%%/data/i18n/hydrogen.el.qm
+%%DATADIR%%/data/i18n/hydrogen.el.ts
 %%DATADIR%%/data/i18n/hydrogen.es.qm
 %%DATADIR%%/data/i18n/hydrogen.es.ts
 %%DATADIR%%/data/i18n/hydrogen.fr.qm
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"